package com.younike.admin;

import com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure;
import com.younike.common.atomikos.MasterConfig;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication(exclude = {DruidDataSourceAutoConfigure.class})
@ComponentScan(basePackages = {"com.younike"})
@EnableConfigurationProperties(value = {MasterConfig.class})
//@EnableScheduling
public class GroupPlatformApplication {

    public static void main(String[] args) {
        SpringApplication.run(GroupPlatformApplication.class, args);
    }

}
