package com.younike.admin.controller.basic;

import com.younike.common.bean.APIResult;
import com.younike.common.core.controller.BaseController;
import io.swagger.annotations.ApiOperation;
import io.swagger.v3.oas.annotations.responses.ApiResponse;
import io.swagger.v3.oas.annotations.responses.ApiResponses;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

/**
 * 首页
 */
@RestController
@Transactional
@RequestMapping("/basic/dataBoard")
public class

DataBoardController  extends BaseController {

    /**
     * 首页数据
     */
    @PostMapping("/list")
    @RequiresPermissions("basic:dataBoard:list")
    @ApiOperation(value = "获取首页数据")
    @ApiResponses({
            @ApiResponse(responseCode = "200", description = "请求成功"),
            @ApiResponse(responseCode = "100", description = "请求处理失败"),
    })
    public APIResult list(){
        return null;
    }
}
