package com.younike.common.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Description: controller权限注解
 * @Author: oldma
 * @Date: 2020-3-17 08:59:06
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface RestAuth {
	// 是否是public，默认不是
	public boolean isPublic() default false;
}
