package com.younike.service.mapper;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.younike.service.dto.system.QuartzDto;
import com.younike.service.params.system.QuartzParam;
import org.apache.ibatis.annotations.Param;

/**
 * Quartz 定时任务 数据层
 * 2021-7-27 Another
 */
public interface SysQuartzMapper {

    /**
     * 2021-7-27 Another quartz定时任务分页
     * @param page
     * @param quartzParam
     * @return
     */
    Page<QuartzDto> getList(@Param("page") Page page, @Param("quartz") QuartzParam quartzParam);

    /**
     * 2021-7-27 Another 根据 文件全路径 查询
     * @param jobClassName
     * @return
     */
    QuartzParam findByJobClassName(String jobClassName);

}
