package com.younike.service.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.younike.common.core.page.PageParam;
import com.younike.service.pojo.TAppUser;

/**
 * app用户Service接口
 *
 * @author jiay
 * @date 2022-02-25
 */
public interface ITAppUserService extends IService<TAppUser>{


    /**
     * 重写分页器
     * @param pageParam
     * @return
     */
    public PageParam<TAppUser> page(PageParam<TAppUser> pageParam);

    /**
     * 添加用户
     *
     * @param user 用户
     * @return boolean
     */
    boolean addUser(TAppUser user);

}
