package com.younike.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.younike.common.core.page.PageParam;
import com.younike.service.mapper.AppMemberVlogAttachMapper;
import com.younike.service.pojo.AppMemberVlogAttach;
import com.younike.service.service.IAppMemberVlogAttachService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 会员日记附件信息Service业务层处理
 *
 * @author dail
 * @date 2022-05-24
 */
@Service
@Transactional
public class AppMemberVlogAttachServiceImpl extends ServiceImpl<AppMemberVlogAttachMapper, AppMemberVlogAttach> implements IAppMemberVlogAttachService {


    /**
     * 自定义分页逻辑 这里就省略掉
     * @param pageParam
     * @return
     */
    @Override
    public PageParam<AppMemberVlogAttach> page(PageParam<AppMemberVlogAttach> pageParam) {

        PageParam<AppMemberVlogAttach> page = this.page(pageParam, new LambdaQueryWrapper<AppMemberVlogAttach>()
                //.like(Printer::getName,pageParam.getParam().getName())
                // 查询逻辑 适合单表 多表 重写XML查询
        );

        return page;
    }

}
