package com.younike.service.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.younike.service.mapper.IndexBannerMapper;
import com.younike.service.pojo.IndexBanner;
import com.younike.service.service.IIndexBannerService;
import com.younike.common.core.page.PageParam;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 首页轮播Service业务层处理
 *
 * @author dail
 * @date 2022-05-24
 */
@Service
@Transactional
public class IndexBannerServiceImpl extends ServiceImpl<IndexBannerMapper, IndexBanner>  implements IIndexBannerService {


    /**
     * 自定义分页逻辑 这里就省略掉
     * @param pageParam
     * @return
     */
    @Override
    public PageParam<IndexBanner> page(PageParam<IndexBanner> pageParam) {

        PageParam<IndexBanner> page = this.page(pageParam, new LambdaQueryWrapper<IndexBanner>()
                //.like(Printer::getName,pageParam.getParam().getName())
                // 查询逻辑 适合单表 多表 重写XML查询
        );

        return page;
    }

}
