package com.younike.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.younike.service.mapper.StoreEvaluateAttachMapper;
import com.younike.service.pojo.StoreEvaluateAttach;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.younike.service.service.IStoreEvaluateAttachService;
import com.younike.common.core.page.PageParam;

/**
 * 门店评价图片视频（主记录evaluate删除时，关联的附件直接删除）				Service业务层处理
 *
 * @author dail
 * @date 2022-05-24
 */
@Service
@Transactional
public class StoreEvaluateAttachServiceImpl extends ServiceImpl<StoreEvaluateAttachMapper, StoreEvaluateAttach>  implements IStoreEvaluateAttachService {


    /**
     * 自定义分页逻辑 这里就省略掉
     * @param pageParam
     * @return
     */
    @Override
    public PageParam<StoreEvaluateAttach> page(PageParam<StoreEvaluateAttach> pageParam) {

        PageParam<StoreEvaluateAttach> page = this.page(pageParam, new LambdaQueryWrapper<StoreEvaluateAttach>()
                //.like(Printer::getName,pageParam.getParam().getName())
                // 查询逻辑 适合单表 多表 重写XML查询
        );

        return page;
    }

}
