package com.younike.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.younike.service.mapper.StoreEvaluateReplyTemplateMapper;
import com.younike.service.pojo.StoreEvaluateReplyTemplate;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.younike.service.service.IStoreEvaluateReplyTemplateService;
import com.younike.common.core.page.PageParam;

/**
 * 门店评价回复模板				Service业务层处理
 *
 * @author dail
 * @date 2022-05-24
 */
@Service
@Transactional
public class StoreEvaluateReplyTemplateServiceImpl extends ServiceImpl<StoreEvaluateReplyTemplateMapper, StoreEvaluateReplyTemplate>  implements IStoreEvaluateReplyTemplateService {


    /**
     * 自定义分页逻辑 这里就省略掉
     * @param pageParam
     * @return
     */
    @Override
    public PageParam<StoreEvaluateReplyTemplate> page(PageParam<StoreEvaluateReplyTemplate> pageParam) {

        PageParam<StoreEvaluateReplyTemplate> page = this.page(pageParam, new LambdaQueryWrapper<StoreEvaluateReplyTemplate>()
                //.like(Printer::getName,pageParam.getParam().getName())
                // 查询逻辑 适合单表 多表 重写XML查询
        );

        return page;
    }

}
