package com.younike.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.younike.service.mapper.StoreEvaluateMapper;
import com.younike.service.pojo.StoreEvaluate;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.younike.service.service.IStoreEvaluateService;
import com.younike.common.core.page.PageParam;

/**
 * 门店评价							Service业务层处理
 *
 * @author dail
 * @date 2022-05-24
 */
@Service
@Transactional
public class StoreEvaluateServiceImpl extends ServiceImpl<StoreEvaluateMapper, StoreEvaluate>  implements IStoreEvaluateService {


    /**
     * 自定义分页逻辑 这里就省略掉
     * @param pageParam
     * @return
     */
    @Override
    public PageParam<StoreEvaluate> page(PageParam<StoreEvaluate> pageParam) {

        PageParam<StoreEvaluate> page = this.page(pageParam, new LambdaQueryWrapper<StoreEvaluate>()
                //.like(Printer::getName,pageParam.getParam().getName())
                // 查询逻辑 适合单表 多表 重写XML查询
        );

        return page;
    }

}
