package com.younike.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.younike.service.mapper.StorePopularGoodsMapper;
import com.younike.service.pojo.StorePopularGoods;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.younike.service.service.IStorePopularGoodsService;
import com.younike.common.core.page.PageParam;

/**
 * 门店推荐商品				Service业务层处理
 *
 * @author dail
 * @date 2022-05-24
 */
@Service
@Transactional
public class StorePopularGoodsServiceImpl extends ServiceImpl<StorePopularGoodsMapper, StorePopularGoods>  implements IStorePopularGoodsService {


    /**
     * 自定义分页逻辑 这里就省略掉
     * @param pageParam
     * @return
     */
    @Override
    public PageParam<StorePopularGoods> page(PageParam<StorePopularGoods> pageParam) {

        PageParam<StorePopularGoods> page = this.page(pageParam, new LambdaQueryWrapper<StorePopularGoods>()
                //.like(Printer::getName,pageParam.getParam().getName())
                // 查询逻辑 适合单表 多表 重写XML查询
        );

        return page;
    }

}
