package com.younike.common.constant;

/**
 * 业务操作类型
 */
public enum BusinessType {
    /**
     * 其它
     */
    OTHER,

    /**
     * 新增
     */
    INSERT,

    /**
     * 修改
     */
    UPDATE,

    /**
     * 删除
     */
    DELETE,

    /**
     * 授权
     */
    GRANT,

    /**
     * 导出
     */
    EXPORT,

    /**
     * 导入
     */
    IMPORT,

    /**
     * 强退
     */
    FORCE,

    /**
     * 登录
     */
    LOGIN,

    /**
     * 店铺登录
     */
    SHOP_LOGIN,

    /**
     * 会员登录
     */
    MEMBER_LOGIN,


    /**
     * 退出
     */
    LOGOUT
}
