package com.younike.service.mapper;

import java.util.List;
import com.younike.service.pojo.StoreCategory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.younike.service.pojo.vo.StoreCategoryVo;

/**
 * 门店分类Mapper接口
 *
 * @author dail
 * @date 2022-05-24
 */
public interface StoreCategoryMapper extends BaseMapper<StoreCategory> {

    /**
     * 获取门店分类树状图
     * @return
     */
    List<StoreCategoryVo> getStoreCategoryTree(StoreCategory storeCategory);
}
