package com.younike.service.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.younike.service.pojo.StoreCategory;
import com.younike.common.core.page.PageParam;
import com.younike.service.pojo.vo.StoreCategoryVo;

/**
 * 门店分类Service接口
 *
 * @author dail
 * @date 2022-05-24
 */
public interface IStoreCategoryService extends IService<StoreCategory>{


    /**
     * 重写分页器
     * @param pageParam
     * @return
     */
    public PageParam<StoreCategory> page(PageParam<StoreCategory> pageParam);

    /**
     * 获取门店分类树状图
     * @return
     */
    List<StoreCategoryVo> getStoreCategoryTree(StoreCategory storeCategory);
}
