package com.younike.service.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.younike.common.bean.APIResult;
import com.younike.service.pojo.Store;
import com.younike.common.core.page.PageParam;
import com.younike.service.pojo.vo.StoreVo;

/**
 * 门店基础信息Service接口
 *
 * @author dail
 * @date 2022-05-24
 */
public interface IStoreService extends IService<Store>{


    /**
     * 重写分页器
     * @param pageParam
     * @return
     */
    public PageParam<Store> page(PageParam<Store> pageParam);

    /**
     * 商家端创建门店
     * @param store
     * @return
     */
    Boolean add(StoreVo store);



}
