package com.younike.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.younike.service.mapper.BaseAllocationMapper;
import com.younike.service.pojo.BaseAllocation;
import com.younike.service.service.IBaseAllocationService;
import com.younike.common.core.page.PageParam;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 门店基础配置Service业务层处理
 *
 * @author dail
 * @date 2022-05-24
 */
@Service
@Transactional
public class BaseAllocationServiceImpl extends ServiceImpl<BaseAllocationMapper, BaseAllocation>  implements IBaseAllocationService {


    /**
     * 自定义分页逻辑 这里就省略掉
     * @param pageParam
     * @return
     */
    @Override
    public PageParam<BaseAllocation> page(PageParam<BaseAllocation> pageParam) {

        PageParam<BaseAllocation> page = this.page(pageParam, new LambdaQueryWrapper<BaseAllocation>()
                //.like(Printer::getName,pageParam.getParam().getName())
                // 查询逻辑 适合单表 多表 重写XML查询
        );

        return page;
    }

}
