package com.younike.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.younike.service.mapper.GpContentProductMapper;
import com.younike.service.pojo.GpContentProduct;
import com.younike.service.service.IGpContentProductService;
import com.younike.common.core.page.PageParam;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 门店套餐内容产品				Service业务层处理
 *
 * @author dail
 * @date 2022-05-24
 */
@Service
@Transactional
public class GpContentProductServiceImpl extends ServiceImpl<GpContentProductMapper, GpContentProduct> implements IGpContentProductService {


    /**
     * 自定义分页逻辑 这里就省略掉
     * @param pageParam
     * @return
     */
    @Override
    public PageParam<GpContentProduct> page(PageParam<GpContentProduct> pageParam) {

        PageParam<GpContentProduct> page = this.page(pageParam, new LambdaQueryWrapper<GpContentProduct>()
                //.like(Printer::getName,pageParam.getParam().getName())
                // 查询逻辑 适合单表 多表 重写XML查询
        );

        return page;
    }

}
