package com.younike.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.younike.service.mapper.GpGoodsDetailMapper;
import com.younike.service.pojo.GpGoodsDetail;
import com.younike.service.service.IGpGoodsDetailService;
import com.younike.common.core.page.PageParam;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 门店团购（到店套餐）套餐明细				Service业务层处理
 *
 * @author dail
 * @date 2022-05-24
 */
@Service
@Transactional
public class GpGoodsDetailServiceImpl extends ServiceImpl<GpGoodsDetailMapper, GpGoodsDetail> implements IGpGoodsDetailService {


    /**
     * 自定义分页逻辑 这里就省略掉
     * @param pageParam
     * @return
     */
    @Override
    public PageParam<GpGoodsDetail> page(PageParam<GpGoodsDetail> pageParam) {

        PageParam<GpGoodsDetail> page = this.page(pageParam, new LambdaQueryWrapper<GpGoodsDetail>()
                //.like(Printer::getName,pageParam.getParam().getName())
                // 查询逻辑 适合单表 多表 重写XML查询
        );

        return page;
    }

}
