package com.younike.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.younike.common.core.page.PageParam;
import com.younike.service.mapper.OrderGpDetailMapper;
import com.younike.service.pojo.OrderGpDetail;
import com.younike.service.service.IOrderGpDetailService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 门店订单团购套餐内容商品信息Service业务层处理
 *
 * @author dail
 * @date 2022-05-24
 */
@Service
@Transactional
public class OrderGpDetailServiceImpl extends ServiceImpl<OrderGpDetailMapper, OrderGpDetail> implements IOrderGpDetailService {


    /**
     * 自定义分页逻辑 这里就省略掉
     * @param pageParam
     * @return
     */
    @Override
    public PageParam<OrderGpDetail> page(PageParam<OrderGpDetail> pageParam) {

        PageParam<OrderGpDetail> page = this.page(pageParam, new LambdaQueryWrapper<OrderGpDetail>()
                //.like(Printer::getName,pageParam.getParam().getName())
                // 查询逻辑 适合单表 多表 重写XML查询
        );

        return page;
    }

}
