package com.younike.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.younike.common.core.page.PageParam;
import com.younike.service.mapper.OrderRedeemLogMapper;
import com.younike.service.pojo.OrderRedeemLog;
import com.younike.service.service.IOrderRedeemLogService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 门店订单核销记录（订单与核销码一对多）Service业务层处理
 *
 * @author dail
 * @date 2022-05-24
 */
@Service
@Transactional
public class OrderRedeemLogServiceImpl extends ServiceImpl<OrderRedeemLogMapper, OrderRedeemLog> implements IOrderRedeemLogService {


    /**
     * 自定义分页逻辑 这里就省略掉
     * @param pageParam
     * @return
     */
    @Override
    public PageParam<OrderRedeemLog> page(PageParam<OrderRedeemLog> pageParam) {

        PageParam<OrderRedeemLog> page = this.page(pageParam, new LambdaQueryWrapper<OrderRedeemLog>()
                //.like(Printer::getName,pageParam.getParam().getName())
                // 查询逻辑 适合单表 多表 重写XML查询
        );

        return page;
    }

}
