package com.younike.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.younike.service.mapper.StoreAllocationMapper;
import com.younike.service.pojo.StoreAllocation;
import com.younike.service.service.IStoreAllocationService;
import com.younike.common.core.page.PageParam;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
/**
 * 门店配置关联Service业务层处理
 *
 * @author dail
 * @date 2022-05-24
 */
@Service
@Transactional
public class StoreAllocationServiceImpl extends ServiceImpl<StoreAllocationMapper, StoreAllocation>  implements IStoreAllocationService {


    /**
     * 自定义分页逻辑 这里就省略掉
     * @param pageParam
     * @return
     */
    @Override
    public PageParam<StoreAllocation> page(PageParam<StoreAllocation> pageParam) {

        PageParam<StoreAllocation> page = this.page(pageParam, new LambdaQueryWrapper<StoreAllocation>()
                //.like(Printer::getName,pageParam.getParam().getName())
                // 查询逻辑 适合单表 多表 重写XML查询
        );

        return page;
    }

}
