package com.younike.service.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.younike.service.mapper.StoreBizMapper;
import com.younike.service.pojo.StoreBiz;
import com.younike.service.service.IStoreBizService;
import com.younike.common.core.page.PageParam;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 门店经营信息Service业务层处理
 *
 * @author dail
 * @date 2022-05-24
 */
@Service
@Transactional
public class StoreBizServiceImpl extends ServiceImpl<StoreBizMapper, StoreBiz>  implements IStoreBizService {


    /**
     * 自定义分页逻辑 这里就省略掉
     * @param pageParam
     * @return
     */
    @Override
    public PageParam<StoreBiz> page(PageParam<StoreBiz> pageParam) {

        PageParam<StoreBiz> page = this.page(pageParam, new LambdaQueryWrapper<StoreBiz>()
                //.like(Printer::getName,pageParam.getParam().getName())
                // 查询逻辑 适合单表 多表 重写XML查询
        );

        return page;
    }

}
