package com.younike.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.younike.service.mapper.StoreStaffMapper;
import com.younike.service.pojo.StoreStaff;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.younike.service.service.IStoreStaffService;
import com.younike.common.core.page.PageParam;

/**
 * 门店员工				Service业务层处理
 *
 * @author dail
 * @date 2022-05-24
 */
@Service
@Transactional
public class StoreStaffServiceImpl extends ServiceImpl<StoreStaffMapper, StoreStaff>  implements IStoreStaffService {


    /**
     * 自定义分页逻辑 这里就省略掉
     * @param pageParam
     * @return
     */
    @Override
    public PageParam<StoreStaff> page(PageParam<StoreStaff> pageParam) {

        PageParam<StoreStaff> page = this.page(pageParam, new LambdaQueryWrapper<StoreStaff>()
                //.like(Printer::getName,pageParam.getParam().getName())
                // 查询逻辑 适合单表 多表 重写XML查询
        );

        return page;
    }

}
